package com.ssj.service.conch.parents.request.version4;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class ConfirmRefundReq extends BaseRequest {
    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "orderNo", value = "订单号", required = true)
	private String orderNo;
    
    @ApiModelProperty(name = "cardName", value = "持卡人姓名", required = false)
	private String cardName;  //持卡人姓名
    
    @ApiModelProperty(name = "cardNum", value = "卡号", required = false)
	private String cardNum;//卡号
	
    @ApiModelProperty(name = "cardBank", value = "开户行", required = false)
	private String cardBank;//开户行
    
    @ApiModelProperty(name = "subbranch", value = "支行名称", required = false)
	private String subbranch;//支行
    
    @ApiModelProperty(name = "bankPhone", value = "预留手机号", required = false)
	private String bankPhone;//预留手机号码
    
	@ApiModelProperty(name = "refundMsg", value = "退款原因", required = true)
	private String refundMsg;

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getCardName() {
		return cardName;
	}

	public void setCardName(String cardName) {
		this.cardName = cardName;
	}

	public String getCardNum() {
		return cardNum;
	}

	public void setCardNum(String cardNum) {
		this.cardNum = cardNum;
	}

	public String getCardBank() {
		return cardBank;
	}

	public void setCardBank(String cardBank) {
		this.cardBank = cardBank;
	}

	public String getSubbranch() {
		return subbranch;
	}

	public void setSubbranch(String subbranch) {
		this.subbranch = subbranch;
	}

	public String getBankPhone() {
		return bankPhone;
	}

	public void setBankPhone(String bankPhone) {
		this.bankPhone = bankPhone;
	}

	public String getRefundMsg() {
		return refundMsg;
	}

	public void setRefundMsg(String refundMsg) {
		this.refundMsg = refundMsg;
	}
	
}
